tourism_hub_fares_block:
  label: Fares block
  namespace: Organisms/TM - Tourism hub
  use: '@organisms/tm-th/tourism-hub-fares-block.twig'
  description: Fares block
  libraries:
    - tourism_hub_fares_block_lib:
        css:
          component:
            ../styles/tourism-hub.css: {}
  fields:
    bg_image:
      type: text
      label: Background image
      preview: <img class="th-fares-bg" src="https://picsum.photos/id/172/1800/721?rnd=a2">
    header:
      type: text
      label: Header
      preview: Selected return fares to <strong>Aberdeen</strong> from
    destination_crs:
      type: text
      label: Origin_crs
      preview: ABD
    origins:
      type: object
      label: Origins
      preview:
        - station: Ballock
          fare: '32.50'
          crs: BAL
        - station: Loch Lommond
          fare: '41.50'
          crs: LOC
        - station: Edinburgh Waverly
          fare: '6.00'
          crs: EDB
        - station: Stirling
          fare: '6.00'
          crs: STR
  settings:
    in_content:
      type: boolean
      label: Displayed in content
      preview: false
